Subject: Cygwin Bash shell
From: Becky Purdie <[email-masked]>
To: "'cygwin'" <[email-masked]>, Becky Purdie <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 7 Aug 2000 14:17:26 -0400

I think I've found a possible bug with the new version of
cygwin bash shell. What I'm trying to do is compare a variable in an 'if'
statement. It works correctly using the bash shell installed on my Solaris
box but not correctly on Windows using GNU bash. I'm using version
2.04.0(1)-release (i586-pc-cygwin0). Please let me know if this is a known
bug and if there is a "fix" for this problem....Thanks!
		Here is the code:

  	 echo $PLAT

		if  [ "$PLAT" = "SunOS" ]; then           
		         PerfTree=/perf
		        echo $PerfTree
		        BowHome=/bowstreet
		        echo $BowHome
		        BinDir=$PerfTree/SolarisBin
		elif [ "$PLAT" = "CYGWIN_NT-4.0" ]; then
		        PerfTree=//z/performance
		        echo $PerfTree
		        BowHome=//c/bowstreet
		        echo $BowHome
		        BinDir=$PerfTree/NT4Bin
		else
		echo "Unable to assign variables!"
		fi

		The output indicates that the $PLAT variable is not
recognized within the square brackets [ ]'s. 
		Here's the output (in bash -x mode):

		SunOS
		 = SunOS ']'
		 =CYGWIN_NT-4.0 ']'
		Unable to assign variables!

		BUT when I run it on my Solaris Box, it runs fine and
assigns the variables correctly!

--
Want to unsubscribe from this list?
Send a message to [email-masked]